Bug 1426787 - "add '--best' to command line to see why package dependency cannot be satisfied" doesn't help
Summary: "add '--best' to command line to see why package dependency cannot be satisfi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 20:55 UTC by Richard W.M. Jones
Modified: 2017-06-09 19:06 UTC (History)
5 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 19:06:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata.tar (5.26 MB, application/x-tar)
2017-02-27 15:44 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2017-02-24 20:55:19 UTC
Description of problem:

$ sudo dnf update -y --best
Last metadata expiration check: 5:32:57 ago on Fri Feb 24 10:17:54 2017 EST.
Dependencies resolved.
================================================================================
 Package           Arch          Version                  Repository       Size
================================================================================
Skipping packages with broken dependencies
(add '--best' to command line to see why package dependency cannot be satisfied):
 pkgconfig         ppc64         1:0.29.1-2.fc26          rawhide          65 k

Transaction Summary
================================================================================
Skip  1 Package

Nothing to do.
Complete!


I've already got "--best" on the command line, and it doesn't help me.

Version-Release number of selected component (if applicable):

dnf-2.1.0-1.fc26.noarch

How reproducible:

100%

Steps to Reproduce:
1. Install some packages which have a conflict (somehow)?

Comment 1 Igor Gnatenko 2017-02-27 15:06:34 UTC
Please run it with `--debugsolver` and attach degbudata directory.

Comment 2 Richard W.M. Jones 2017-02-27 15:37:56 UTC
The VM is no longer doing this - I guess pkgconf/pkgconfig deps in Rawhide
have been fixed.

However the problem here was not that there was a temporary depsolving
problem in Rawhide, but that the informational message about using
"--best" is plainly wrong.

Comment 3 Richard W.M. Jones 2017-02-27 15:44 UTC
Created attachment 1258119 [details]
debugdata.tar

Strangely still happens on ppc64le (but not on ppc64), so here is
the debugsolver output.

Comment 4 Igor Gnatenko 2017-02-27 16:29:53 UTC
This seems weird:

erase pkgconfig-1:0.29.1-1.fc25.ppc64le@@System pkgconf-m4-1.3.0-1.fc26.noarch@rawhide

Comment 5 Fedora End Of Life 2017-02-28 12:26:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Jaroslav Mracek 2017-03-08 11:46:43 UTC
Please can you try "sudo dnf install pkgconfig --best" and provide an output? By that way you will see the reason why you cannot upgrade it. Thanks a lot.

Comment 7 Richard W.M. Jones 2017-03-08 11:52:09 UTC
I no longer have these temporary cloud guests so cannot test anything else.

The problem is the message says "add '--best' to command line to
see why package dependency cannot be satisfied", but --best is
already present on the command line and no such information is shown.

Comment 8 Igor Gnatenko 2017-03-08 11:55:04 UTC
(In reply to Richard W.M. Jones from comment #7)
> I no longer have these temporary cloud guests so cannot test anything else.
> 
> The problem is the message says "add '--best' to command line to
> see why package dependency cannot be satisfied", but --best is
> already present on the command line and no such information is shown.

I think I was able to reproduce it with rawhide dockr containerwith just doing dnf-update.

Comment 9 Jaroslav Mracek 2017-04-10 16:00:51 UTC
The recommendations and problems reports were refactored in https://github.com/rpm-software-management/dnf/pull/782. Hope that it helps.

Comment 10 Fedora Update System 2017-05-22 12:41:08 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 11 Fedora Update System 2017-05-22 16:40:11 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 12 Fedora Update System 2017-05-24 08:32:15 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 13 Fedora Update System 2017-05-24 14:33:16 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 14 Fedora Update System 2017-05-25 19:17:42 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 15 Fedora Update System 2017-06-09 19:06:19 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.